/*
 *--- PGetPubWindows.cpp --------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetPubWindows.html
 *-------------------------------------------------------------------------
 */

#include "PGetPubWindows.h"
#include "PQuery.h"
#include "PRequestBuf.h"

PGetPubWindows::PGetPubWindows(PMBool bAllWindows)
: PStringListQuery()
{
	char temp[8];		// plenty big
	
	PRequestBuf request(temp);
	
	request << bAllWindows;

	PQuery query(pm_getpubwindows, request, itsHandle);
	InitHandle();
	InitListMom();
	Scan();
}

// end of PGetPubWindows.cpp
